objectptr.h File Reference

## Classes

class | ObjectPtrBase
class | ObjectPtrT< T >
| smart pointer to a Object descendant More...

## Namespaces

| log4cxx
| log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Macros

#define | _LOG4CXX_OBJECTPTR_INIT(x) : ObjectPtrBase(), p(x) {

## Macro Definition Documentation

## _LOG4CXX_OBJECTPTR_INIT

#define _LOG4CXX_OBJECTPTR_INIT | ( |  | x | ) | : ObjectPtrBase(), p(x) {